TAU_GET_PROFILE_GROU(3)

NAME
TAU_GET_PROFILE_GROUP - Creates groups based on names

SYNOPSIS

C/C++:

TAU_GET_PROFILE_GROUP(char *groupname);

DESCRIPTION

TAU_GET_PROFILE_GROUP allows the user to dynamically create groups based on strings, rather than use predefined, statically assigned groups such as TAU_USER1, TAU_USER2 etc. This allows names to be associated in creating unique groups that are more meaningful, using names of files or directories for instance.

EXAMPLE

C/C++ :

#define PARTICLES TAU_GET_PROFILE_GROUP("PARTICLES")
void foo() {
  TAU_PROFILE("foo()", " ", PARTICLES);
}
void bar() {
  TAU_PROFILE("bar()", " ", PARTICLES);
}

SEE ALSO

TAU_ENABLE_GROUP_NAME(3), TAU_DISABLE_GROUP_NAME(3), TAU_ENABLE_ALL_GROUPS(3), TAU_DISABLE_ALL_GROUPS(3)